## mesa 23.2.1

=== meson_options.txt ===
# Copyright © 2017-2019 Intel Corporation
# SPDX-License-Identifier: MIT

option(
  'platforms',
  type : 'array',
  value : ['auto'],
  choices : [
    'auto', 'x11', 'wayland', 'haiku', 'android', 'windows',
  ],
  description : 'window systems to support. If this is set to `auto`, all ' +
                'platforms applicable will be enabled.'
)

option(
  'egl-native-platform',
  type : 'combo',
  value : 'auto',
  choices : [
    'auto', 'x11', 'wayland', 'haiku', 'android', 'windows',
    'surfaceless', 'drm',
  ],
  description : 'the window system EGL assumes for EGL_DEFAULT_DISPLAY',
)

option(
  'android-stub',
  type : 'boolean',
  value : false,
  description : 'Build against android-stub',
)

option(
  'android-libbacktrace',
  type : 'feature',
  description : 'Use Android\'s libbacktrace',
)

option(
  'dri3',
  type : 'feature',
  deprecated: {'true': 'enabled', 'false': 'disabled'},
  description : 'enable support for dri3'
)

option(
  'dri-drivers-path',
  type : 'string',
  value : '',
  description : 'Location to install dri drivers. Default: $libdir/dri.'
)

option(
  'dri-search-path',
  type : 'string',
  value : '',
  description : 'Locations to search for dri drivers, passed as colon ' +
                'separated list. Default: dri-drivers-path.'
)

option(
  'expat',
  type : 'feature',
  value : 'auto',
  description : 'Controls the use of expat. ' +
                'Cannot be disabled if xmlconfig is enabled.'
)

option(
  'gallium-drivers',
  type : 'array',
  value : ['auto'],
  choices : [
    'auto', 'kmsro', 'radeonsi', 'r300', 'r600', 'nouveau', 'freedreno',
    'swrast', 'v3d', 'vc4', 'etnaviv', 'tegra', 'i915', 'svga', 'virgl',
    'panfrost', 'iris', 'lima', 'zink', 'd3d12', 'asahi', 'crocus'
  ],
  description : 'List of gallium drivers to build. If this is set to auto ' +
                'all drivers applicable to the target OS/architecture ' +
                'will be built'
)

option(
  'gallium-extra-hud',
  type : 'boolean',
  value : false,
  description : 'Enable HUD block/NIC I/O HUD status support',
)

option(
  'gallium-vdpau',
  type : 'feature',
  deprecated: {'true': 'enabled', 'false': 'disabled'},
  description : 'enable gallium vdpau frontend.',
)

option(
  'vdpau-libs-path',
  type : 'string',
  value : '',
  description : 'path to put vdpau libraries. defaults to $libdir/vdpau.'
)

option(
  'gallium-omx',
  type : 'combo',
  value : 'auto',
  choices : ['auto', 'disabled', 'bellagio', 'tizonia'],
  description : 'enable gallium omx frontend.',
)

option(
  'omx-libs-path',
  type : 'string',
  value : '',
  description : 'path to put omx libraries. defaults to omx-bellagio ' +
                'pkg-config pluginsdir.'
)

option(
  'gallium-va',
  type : 'feature',
  deprecated: {'true': 'enabled', 'false': 'disabled'},
  description : 'enable gallium va frontend.',
)

option(
  'va-libs-path',
  type : 'string',
  value : '',
  description : 'path to put va libraries. defaults to $libdir/dri.'
)

option(
  'gallium-xa',
  type : 'feature',
  deprecated: {'true': 'enabled', 'false': 'disabled'},
  description : 'enable gallium xa frontend.',
)

option(
  'gallium-nine',
  type : 'boolean',
  value : false,
  description : 'build gallium "nine" Direct3D 9.x frontend.',
)

option(
  'gallium-d3d10umd',
  type : 'boolean',
  value : false,
  description : 'build gallium D3D10 WDDM UMD frontend.',
)

option(
  'gallium-opencl',
  type : 'combo',
  choices : ['icd', 'standalone', 'disabled'],
  value : 'disabled',
  description : 'build gallium "clover" OpenCL frontend.',
)

option(
  'gallium-rusticl',
  type : 'boolean',
  value : false,
  description : 'build gallium "rusticl" OpenCL frontend.',
)

option(
  'gallium-windows-dll-name',
  type : 'string',
  value : 'libgallium_wgl',
  description : 'name of gallium megadriver DLL built for Windows. ' +
                'defaults to libgallium_wgl.dll to match DRI',
)

option(
  'opencl-spirv',
  type : 'boolean',
  value : false,
  description : 'build gallium "clover" OpenCL frontend with SPIR-V ' +
                'binary support.',
)

option(
  'static-libclc',
  type : 'array',
  value : [],
  choices : ['spirv', 'spirv64', 'all'],
  description : 'Link libclc SPIR-V statically.',
)

option(
  'opencl-external-clang-headers',
  type : 'feature',
  description : 'Use system Clang headers at runtime for OpenCL kernel ' +
                'compilation.',
)

option(
  'd3d-drivers-path',
  type : 'string',
  value : '',
  description : 'Location of D3D drivers. Default: $libdir/d3d',
)

option(
  'vulkan-drivers',
  type : 'array',
  value : ['auto'],
  choices : ['auto', 'amd', 'broadcom', 'freedreno', 'intel', 'intel_hasvk',
             'panfrost', 'swrast', 'virtio', 'imagination-experimental',
             'microsoft-experimental'],
  description : 'List of vulkan drivers to build. If this is set to auto ' +
                'all drivers applicable to the target OS/architecture ' +
                'will be built'
)

# Note that currently turnip supports msm and kgsl, while the gallium driver
# support msm and virtio.  This is a temporary situation with virtio support
# for turnip and kgsl support for gallium planned/in-progress.
option(
  'freedreno-kmds',
  type : 'array',
  value : ['msm'],
  choices : ['msm', 'kgsl', 'virtio'],
  description : 'List of kernel-mode drivers to enable for freedreno ' +
                'gallium and vulkan driver',
)

option(
  'imagination-srv',
  type : 'boolean',
  value : false,
  description : 'Enable Services backend for Imagination Technologies ' +
                'vulkan driver',
)

option(
  'shader-cache',
  type : 'feature',
  deprecated: {'true': 'enabled', 'false': 'disabled'},
  description : 'Build with on-disk shader cache support.',
)

option(
  'shader-cache-default',
  type : 'boolean',
  value : true,
  description : 'If set to false, the feature is only activated when ' +
                'environment variable MESA_SHADER_CACHE_DISABLE is set ' +
                'to false',
)

option(
  'shader-cache-max-size',
  type : 'string',
  value : '',
  description : 'Default value for MESA_SHADER_CACHE_MAX_SIZE enviroment ' +
                'variable. If set, determines the maximum size of the ' +
                'on-disk cache of compiled shader programs, can be overriden ' +
                'by enviroment variable if needed. Should be set to a number ' +
                'optionally followed by ``K``, ``M``, or ``G`` to specify ' +
                'a size in kilobytes, megabytes, or gigabytes. By default, ' +
                'gigabytes will be assumed. And if unset, a maximum size of ' +
                '1GB will be used.'
)

option(
  'vulkan-icd-dir',
  type : 'string',
  value : '',
  description : 'Location relative to prefix to put vulkan icds on install. ' +
                'Default: $datadir/vulkan/icd.d'
)

option(
  'moltenvk-dir',
  type : 'string',
  value : '',
  description : 'Location of the MoltenVk SDK. Default: '
)

option(
  'vulkan-layers',
  type : 'array',
  value : [],
  choices : ['device-select', 'intel-nullhw', 'overlay'],
  description : 'List of vulkan layers to build'
)

option(
  'shared-glapi',
  type : 'feature',
  deprecated: {'true': 'enabled', 'false': 'disabled'},
  description : 'Whether to build a shared or static glapi. Defaults to ' +
                'disabled on Windows, enabled elsewhere'
)

option(
  'gles1',
  type : 'feature',
  deprecated: {'true': 'enabled', 'false': 'disabled'},
  description : 'Build support for OpenGL ES 1.x'
)

option(
  'gles2',
  type : 'feature',
  deprecated: {'true': 'enabled', 'false': 'disabled'},
  description : 'Build support for OpenGL ES 2.x and 3.x'
)

option(
  'opengl',
  type : 'boolean',
  value : true,
  description : 'Build support for desktop OpenGL'
)

option(
  'gbm',
  type : 'feature',
  deprecated: {'true': 'enabled', 'false': 'disabled'},
  description : 'Build support for gbm platform'
)

option(
  'gbm-backends-path',
  type : 'string',
  value : '',
  description : 'Locations to search for gbm backends, passed as colon ' +
                'separated list. Default: $libdir/gbm.'
)

option(
  'glx',
  type : 'combo',
  value : 'auto',
  choices : ['auto', 'disabled', 'dri', 'xlib'],
  description : 'Build support for GLX platform'
)

option(
  'egl',
  type : 'feature',
  deprecated: {'true': 'enabled', 'false': 'disabled'},
  description : 'Build support for EGL platform'
)

option(
  'glvnd',
  type : 'boolean',
  value : false,
  description : 'Enable GLVND support.'
)

option(
  'microsoft-clc',
  type : 'feature',
  value : 'auto',
  deprecated: {'true': 'enabled', 'false': 'disabled'},
  description : 'Build support for the Microsoft CLC to DXIL compiler'
)

option(
  'spirv-to-dxil',
  type : 'boolean',
  value : false,
  description : 'Build support for the SPIR-V to DXIL library'
)

option(
  'glvnd-vendor-name',
  type : 'string',
  value : 'mesa',
  description : 'Vendor name string to use for glvnd libraries'
)

option(
   'glx-read-only-text',
   type : 'boolean',
   value : false,
   description : 'Disable writable .text section on x86 (decreases performance)'
)

option(
  'llvm',
  type : 'feature',
  deprecated: {'true': 'enabled', 'false': 'disabled'},
  description : 'Build with LLVM support.'
)

option(
  'shared-llvm',
  type : 'feature',
  deprecated: {'true': 'enabled', 'false': 'disabled'},
  description : 'Whether to link LLVM shared or statically.'
)

option(
  'draw-use-llvm',
  type : 'boolean',
  value : true,
  description : 'Whether to use LLVM for the Gallium draw module, if LLVM ' +
                'is included.'
)

option(
  'valgrind',
  type : 'feature',
  deprecated: {'true': 'enabled', 'false': 'disabled'},
  description : 'Build with valgrind support'
)

option(
  'libunwind',
  type : 'feature',
  deprecated: {'true': 'enabled', 'false': 'disabled'},
  description : 'Use libunwind for stack-traces'
)

option(
  'lmsensors',
  type : 'feature',
  deprecated: {'true': 'enabled', 'false': 'disabled'},
  description : 'Enable HUD lmsensors support.'
)

option(
  'build-tests',
  type : 'boolean',
  value : false,
  description : 'Build unit tests. Currently this will build *all* unit ' +
                'tests except the ACO tests, which may build more than expected.'
)

option(
  'enable-glcpp-tests',
  type : 'boolean',
  value : true,
  description : 'Build glcpp unit tests. These are flaky on CI.'
)

option(
  'build-aco-tests',
  type : 'boolean',
  value : false,
  description : 'Build ACO tests. These require RADV and glslang but not ' +
                'an AMD GPU.'
)

option(
  'install-intel-gpu-tests',
  type : 'boolean',
  value : false,
  description : 'Build and install Intel unit tests which require the GPU. ' +
                'This option is for developers and the Intel CI system only.'
)

option(
  'selinux',
  type : 'boolean',
  value : false,
  description : 'Build an SELinux-aware Mesa.  This currently disables ' +
                'execmem support at runtime unless SELinux is configured ' +
                'with allow_execmem.'
)

option(
  'execmem',
  type : 'boolean',
  deprecated : true,
  description : 'Does nothing, left here for a while to avoid build breakages.',
)

option(
  'osmesa',
  type : 'boolean',
  value : false,
  description : 'Build OSmesa.'
)

option(
  'tools',
  type : 'array',
  value : [],
  choices : ['drm-shim', 'etnaviv', 'freedreno', 'glsl', 'intel', 'intel-ui',
             'nir', 'nouveau', 'lima', 'panfrost', 'asahi', 'imagination',
             'all', 'dlclose-skip'],
  description : 'List of tools to build. (Note: `intel-ui` selects `intel`)',
)

option(
  'power8',
  type : 'feature',
  deprecated: {'true': 'enabled', 'false': 'disabled'},
  description : 'Enable power8 optimizations.',
)

option(
  'xlib-lease',
  type : 'feature',
  deprecated: {'true': 'enabled', 'false': 'disabled'},

## mesa 24.0.7

=== debian/changelog ===
mesa (24.0.7-1+rpi1) trixie-staging; urgency=medium

  * Try to disable valgrind.
  * Move valgrind from build-depends to build-conflicts.

 -- Peter Michael Green <plugwash@raspbian.org>  Fri, 24 May 2024 10:55:59 +0000

mesa (24.0.7-1) unstable; urgency=medium

  * New upstream release.
  * source: Switch to source format 3.0 (quilt), because upstream
    provides only .xz tarballs. (Closes: #1036176)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 10 May 2024 10:18:58 +0300

mesa (24.0.6-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 25 Apr 2024 08:39:42 +0300

mesa (24.0.5-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 11 Apr 2024 13:13:09 +0300

mesa (24.0.4-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.
  * patches: Dropped upstreamed patches.

  [ Fabio Pedretti ]
  * control: libllvmspirvlib-*-dev is needed even with rusticl disabled
    (Closes: #1061287)
  * control: Bump meson build-dep

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 29 Mar 2024 17:59:50 +0200

mesa (24.0.3-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release. (Closes: #1065654)
  * radeon-fix-gnome-shell-crash.diff: Fix a regression crashing
    gnome-shell. (Closes: #1064123)
  * fix-zink-logging.diff: Updated.
  * control: Bump libdrm build-dep. (Closes: #1065304)

  [ Fabio Pedretti ]
  * patches: Drop patch for obsolete powerpcspe arch

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 15 Mar 2024 13:03:15 +0200

mesa (24.0.2-1) unstable; urgency=medium

  * New upstream release.
  * clc-build-fix.diff: Dropped, upstream.
  * fix-zink-logging.diff: Don't log to stderr when zink fails to load.
    (Closes: #1064704)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 29 Feb 2024 09:22:00 +0200

mesa (24.0.1-1) unstable; urgency=medium

  * New upstream release.
  * clc-build-fix.diff: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 15 Feb 2024 10:55:39 +0200

mesa (24.0.0-2) experimental; urgency=medium

  * clc-build-fix.diff: Attempt to fix a regression that made requiring
    llvmspirvlib mandatory.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 08 Feb 2024 17:20:59 +0200

mesa (24.0.0-1) experimental; urgency=medium

  * New upstream release. (Closes: #1059782)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 01 Feb 2024 09:34:09 +0200

mesa (24.0.0~rc3-1) experimental; urgency=medium

  * New upstream release candidate.
  * patches: Attempt to fix failing autopkgtests by changing zink init
    failure logging to a warning instead of an error.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 25 Jan 2024 15:53:42 +0200

mesa (24.0.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 18 Jan 2024 10:42:01 +0200

mesa (24.0.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * patches: Drop the zink reverts.
  * rules: Modify video-codecs option to build all codecs. Thanks,
    Safir Secerovic!
  * control, rules: Bump debhelper-compat to 13, drop dh_missing
    override as it's the default now.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 16 Jan 2024 19:15:45 +0200

mesa (23.3.5-1) unstable; urgency=medium

  * New upstream release.
  * patches: Drop zink reverts, gtk4 autopkgtest got fixed.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 01 Feb 2024 09:20:35 +0200

mesa (23.3.4-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 25 Jan 2024 15:41:39 +0200

mesa (23.3.3-3) unstable; urgency=medium

  * rules: Drop mips64el from RUSTICL_ARCHS too, which would pull llvm-
    spirv-17. (Closes: #1060779)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 18 Jan 2024 09:55:40 +0200

mesa (23.3.3-2) unstable; urgency=medium

  * rules: Drop virtio from armel again, regression due to cleanup.
    (Closes: #1060849)
  * rules: Drop mips64el from LLVM_ARCHS, as llvm-17-dev is still not
    available. (Closes: #1060779)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 16 Jan 2024 14:00:26 +0200

mesa (23.3.3-1) unstable; urgency=medium

  * New upstream release.
  * patches, rules: Revert riscv64 back to plain softpipe swrast, drop
    orcjit patch. (Closes: #1060376)
  * patches: Drop d3d12 reverts, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 11 Jan 2024 10:10:19 +0200

mesa (23.3.2-2) unstable; urgency=medium

  * patches: Revert two commits on d3d12 that regressed at least swrast.
    (Closes: #1059971, #1060017)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 05 Jan 2024 11:07:26 +0200

mesa (23.3.2-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.
  * patches: Refreshed, and dropped an upstreamed patch.

  [ Tao Chen ]
  * Add Loongarch support

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 03 Jan 2024 15:19:43 +0200

mesa (23.3.1-4) unstable; urgency=medium

  * patches: Fix a regression in crocus. (Closes: #1059015)

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 23 Dec 2023 12:08:05 +0200

mesa (23.3.1-3) unstable; urgency=medium

  * llvmpipe-add-orcjit.diff: Fix to actually build with llvm-17.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 16 Dec 2023 13:34:32 +0200

mesa (23.3.1-2) unstable; urgency=medium

  * llvmpipe-add-orcjit.diff: Add support for ORCJIT. (Closes: #1058759)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 15 Dec 2023 20:59:48 +0200

mesa (23.3.1-1) unstable; urgency=medium

  * New upstream release.
  * patches: Drop upstreamed zink patch.
  * patches: Disable zink fallback loading, breaks gtk4 build/tests.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 14 Dec 2023 13:17:25 +0200

mesa (23.3.0-2) experimental; urgency=medium

  * control: Add libvulkan1 to libgl1-mesa-dri Depends where zink is
    built, since it's loading libvulkan.so.1 directly instead of linking
    to it.
  * 0001-zink-initialize-drm_fd-to-1.patch: Fix GDM startup with the X11
    backend.



=== debian/control ===
Source: mesa
Section: graphics
Priority: optional
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Andreas Boll <aboll@debian.org>
Standards-Version: 4.1.4
Build-Depends:
 debhelper-compat (= 13),
 directx-headers-dev (>= 1.610.0) [linux-amd64 linux-arm64],
 glslang-tools [amd64 arm64 armel armhf i386 loong64 powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 meson (>= 1.3.1),
 quilt (>= 0.63-8.2~),
 pkg-config,
 libdrm-dev (>= 2.4.119),
 libx11-dev,
 libxxf86vm-dev,
 libexpat1-dev,
 libsensors-dev [!hurd-any],
 libxfixes-dev,
 libxext-dev,
 libva-dev (>= 1.6.0) [linux-any] <!pkg.mesa.nolibva>,
 libvdpau-dev (>= 1.1.1) [linux-any],
 libvulkan-dev [amd64 arm64 armel armhf i386 loong64 powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 x11proto-dev,
 linux-libc-dev (>= 2.6.31) [linux-any],
 libx11-xcb-dev,
 libxcb-dri2-0-dev (>= 1.8),
 libxcb-glx0-dev (>= 1.8.1),
 libxcb-xfixes0-dev,
 libxcb-dri3-dev,
 libxcb-present-dev,
 libxcb-randr0-dev,
 libxcb-shm0-dev,
 libxcb-sync-dev,
 libxrandr-dev,
 libxshmfence-dev (>= 1.1),
 libzstd-dev,
 python3,
 python3-mako,
 python3-ply,
 python3-setuptools,
 flex,
 bison,
 libelf-dev [amd64 arm64 armel armhf i386 loong64 powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 libwayland-dev (>= 1.15.0) [linux-any],
 libwayland-egl-backend-dev (>= 1.15.0) [linux-any],
 llvm-17-dev [amd64 arm64 armel armhf i386 loong64 powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 libclang-17-dev [amd64 arm64 armel armhf i386 loong64 powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 libclang-cpp17-dev [amd64 arm64 armel armhf i386 loong64 powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 libclc-17-dev [amd64 arm64 armel armhf i386 loong64 powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 wayland-protocols (>= 1.24),
 zlib1g-dev,
 libglvnd-core-dev (>= 1.3.2),
 rustc [amd64 arm64 armel armhf i386 loong64 powerpc ppc64 ppc64el riscv64 s390x x32],
 bindgen (>= 0.66.1~) [amd64 arm64 armel armhf i386 loong64 powerpc ppc64 ppc64el riscv64 s390x x32],
 llvm-spirv-17 [amd64 arm64 armel armhf i386 loong64 powerpc ppc64 ppc64el riscv64 s390x x32],
 libclc-17 [amd64 arm64 armel armhf i386 loong64 powerpc ppc64 ppc64el riscv64 s390x x32],
 libllvmspirvlib-17-dev [amd64 arm64 armel armhf i386 loong64 powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
Build-Conflicts:
 valgrind [amd64 arm64 i386 mips64el powerpc ppc64 ppc64el s390x],
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/xorg-team/lib/mesa.git
Vcs-Browser: https://salsa.debian.org/xorg-team/lib/mesa
Homepage: https://mesa3d.org/

Package: libxatracker2
Section: libs
Architecture: amd64 i386 x32
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: X acceleration library -- runtime
 This package contains the XA (X acceleration) library.  It is used exclusively
 by the X server to do render, copy and video acceleration.
 .
 XA is intended to be used by the vmware driver for virtualized X acceleration.

Package: libxatracker-dev
Section: libdevel
Architecture: amd64 i386 x32
Depends:
 libxatracker2 (= ${binary:Version}),
 ${misc:Depends},
Multi-Arch: same
Description: X acceleration library -- development files
 This package contains the XA (X acceleration) library.  It is used exclusively
 by the X server to do render, copy and video acceleration.
 .
 XA is intended to be used by the vmware driver for virtualized X acceleration.
 .
 This package provides the development environment for compiling programs
 against the xatracker library.

Package: libd3dadapter9-mesa
Section: libs
Architecture: amd64 arm64 armel armhf i386
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libudev1 [linux-any],
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: state-tracker for Direct3D9
 This package contains a Gallium3D state tracker that implements the Direct3D9
 API.  Combined with the gallium-nine branch of Wine, programs using D3D9 can
 achieve native (or better) graphics performance.

Package: libd3dadapter9-mesa-dev
Section: libdevel
Architecture: amd64 arm64 armel armhf i386
Depends:
 libd3dadapter9-mesa (= ${binary:Version}),
 libudev1 [linux-any],
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: state-tracker for Direct3D9 -- development files
 This package contains a Gallium3D state tracker that implements the Direct3D9
 API.  Combined with the gallium-nine branch of Wine, programs using D3D9 can
 achieve native (or better) graphics performance.
 .
 Development files

Package: libgbm1
Section: libs
Architecture: linux-any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: generic buffer management API -- runtime
 This package contains the GBM buffer management library.  It provides a
 mechanism for allocating buffers for graphics rendering tied to Mesa.
 .
 GBM is intended to be used as a native platform for EGL on drm or openwfd.

Package: libgbm-dev
Section: libdevel
Architecture: linux-any
Depends:
 libgbm1 (= ${binary:Version}),
 ${misc:Depends},
Multi-Arch: same
Description: generic buffer management API -- development files
 This package contains the GBM buffer management library.  It provides a
 mechanism for allocating buffers for graphics rendering tied to Mesa.
 .
 GBM is intended to be used as a native platform for EGL on drm or openwfd.
 .
 This package provides the development environment for compiling programs
 against the GBM library.

Package: libegl-mesa0
Section: libs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libgbm1 (= ${binary:Version}) [!hurd-any],
Provides: libegl-vendor
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: free implementation of the EGL API -- Mesa vendor library
 This package contains the EGL native platform graphics interface library.
 EGL provides a platform-agnostic mechanism for creating rendering surfaces
 for use with other graphics libraries, such as OpenGL|ES.
 .
 This package contains the Mesa vendor library for EGL.

Package: libegl1-mesa-dev
Section: libdevel
Architecture: any
Depends:
 libegl-dev,
 libglvnd-dev,
 ${misc:Depends},
Multi-Arch: same
Description: free implementation of the EGL API -- development files
 This package contains the development environment required for compiling
 programs against EGL native platform graphics interface library.
 EGL provides a platform-agnostic mechanism for creating rendering surfaces
 for use with other graphics libraries, such as OpenGL|ES.
 .
 This package provides the development environment for compiling programs
 against the EGL library.

Package: libgles2-mesa-dev
Section: oldlibs
Architecture: any
Depends:
 libgles-dev,
 libglvnd-dev,
 ${misc:Depends},
Multi-Arch: same
Description: transitional dummy package
 This is a transitional dummy package, it can be safely removed.

Package: libglapi-mesa
Section: libs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: free implementation of the GL API -- shared library
 The Mesa GL API module is responsible for dispatching all the gl*
 functions. It is intended to be mainly used by both the libgles1-mesa
 and libgles2-mesa packages.

Package: libglx-mesa0
Section: libs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libgl1-mesa-dri,
Provides: libglx-vendor
Breaks:
 libopengl-perl (<< 0.6704+dfsg-2),
 glx-diversions (<< 0.8.4~),
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: free implementation of the OpenGL API -- GLX vendor library
 Mesa is a 3-D graphics library with an API which is very similar to
 that of OpenGL.  To the extent that Mesa utilizes the OpenGL command
 syntax or state machine, it is being used with authorization from
 Silicon Graphics, Inc.  However, the authors make no claim that Mesa
 is in any way a compatible replacement for OpenGL or associated with
 Silicon Graphics, Inc.
 .
 This version of Mesa provides GLX and DRI capabilities: it is capable of
 both direct and indirect rendering.  For direct rendering, it can use DRI
 modules from the libgl1-mesa-dri package to accelerate drawing.
 .
 This package does not include the modules themselves: these can be found
 in the libgl1-mesa-dri package.

Package: libgl1-mesa-dri
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 libvulkan1 [amd64 arm64 armel armhf i386 loong64 powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 ${shlibs:Depends},
 ${misc:Depends}
Multi-Arch: same
Description: free implementation of the OpenGL API -- DRI modules
 This version of Mesa provides GLX and DRI capabilities: it is capable of
 both direct and indirect rendering.  For direct rendering, it can use DRI
 modules from the libgl1-mesa-dri package to accelerate drawing.
 .
 This package does not include the OpenGL library itself, only the DRI
 modules for accelerating direct rendering.
 .
 For a complete description of Mesa, please look at the
 libglx-mesa0 package.

Package: libgl1-mesa-dev
Section: oldlibs
Architecture: any
Depends:
 libgl-dev,
 libglvnd-dev,
 ${misc:Depends},
Multi-Arch: same
Description: transitional dummy package
 This is a transitional dummy package, it can be safely removed.

Package: mesa-common-dev
Section: libdevel
Architecture: any
Depends:
 libgl-dev,
 libglx-dev,
 libx11-dev,
 libdrm-dev (>= 2.4.95) [!hurd-any],
 ${misc:Depends},
Breaks: libegl1-mesa-dev (<< 18.2.5-2)
Replaces: libegl1-mesa-dev (<< 18.2.5-2)
Multi-Arch: same
Description: Developer documentation for Mesa
 This package includes the specifications for the Mesa-specific OpenGL
 extensions, the complete set of release notes and the development header
 files common to all Mesa packages.

Package: libosmesa6
Section: libs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Mesa Off-screen rendering extension
 OSmesa is a Mesa extension that allows programs to render to an
 off-screen buffer using the OpenGL API without having to create a
 rendering context on an X Server.  It uses a pure software renderer.
 .
 This package provides both 16-bit and 32-bit versions of the off-screen
 renderer which do not require external libraries to work.

Package: libosmesa6-dev
Section: libdevel
Architecture: any
Depends:
 libosmesa6 (= ${binary:Version}),
 mesa-common-dev (= ${binary:Version}) | libgl-dev,
 ${misc:Depends},
Conflicts: libosmesa-dev
Replaces: libosmesa-dev
Provides: libosmesa-dev
Multi-Arch: same
Description: Mesa Off-screen rendering extension -- development files
 This package provides the required environment for developing programs
 that use the off-screen rendering extension of Mesa.
 .
 For more information on OSmesa see the libosmesa6 package.

Package: mesa-va-drivers
Section: libs
Architecture: linux-any
Build-Profiles: <!pkg.mesa.nolibva>
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Enhances:
 libva2,
Provides:
 va-driver,
Breaks: vdpau-va-driver (<< 0.7.4-5)
Replaces: vdpau-va-driver (<< 0.7.4-5)
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: Mesa VA-API video acceleration drivers
 These libraries provide the Video Acceleration API (VA-API) for Unix.
 They provide accelerated video playback (incl. H.264) and video
 post-processing for the supported graphics cards.
 .
 This package enables support for VA-API for some gallium drivers.

Package: mesa-vdpau-drivers
Section: libs
Architecture: linux-any
Depends:
 libvdpau1,
 ${shlibs:Depends},
 ${misc:Depends},
Enhances:
 libvdpau1,
Provides:
 vdpau-driver,
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: Mesa VDPAU video acceleration drivers
 These libraries provide the Video Decode and Presentation API for Unix.
 They provide accelerated video playback (incl. H.264) and video
 post-processing for the supported graphics cards.
 .
 This package enables support for VDPAU for some gallium drivers.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for the Debian mesa package
# Copyright © 2006 Thierry Reding <thierry@gilfi.de>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_OS   ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_ARCH_CPU  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)

# for finding the correct llvm-config when meson doesn't know about it yet
LLVM_VERSION = 17
export PATH:=/usr/lib/llvm-$(LLVM_VERSION)/bin/:$(PATH)

export DEB_BUILD_MAINT_OPTIONS=optimize=-lto

ifeq (,$(filter $(DEB_HOST_ARCH), armhf ppc64el sh3 sh4))
buildflags = \
	$(shell DEB_CFLAGS_MAINT_APPEND=-Wall DEB_CXXFLAGS_MAINT_APPEND=-Wall dpkg-buildflags --export=configure)
else
  ifneq (,$(filter $(DEB_HOST_ARCH), armhf))
  # Workaround for a variant of LP: #725126
  buildflags = \
	$(shell DEB_CFLAGS_MAINT_APPEND="-Wall -fno-optimize-sibling-calls" DEB_CXXFLAGS_MAINT_APPEND="-Wall -fno-optimize-sibling-calls" dpkg-buildflags --export=configure)
  else
    # Workaround for https://gcc.gnu.org/bugzilla/show_bug.cgi?id=83143
    buildflags = \
	$(shell DEB_CFLAGS_MAINT_APPEND="-Wall -O1" DEB_CXXFLAGS_MAINT_APPEND="-Wall -O1" dpkg-buildflags --export=configure)
  endif
endif

EGL_PLATFORMS = x11
GALLIUM_DRIVERS = swrast
VULKAN_DRIVERS =
VULKAN_LAYERS =

confflags_DRI3 = -Ddri3=disabled
confflags_OSMESA = -Dosmesa=true
confflags_SSE2 = -Dsse2=true

LLVM_ARCHS     = amd64 arm64 armel armhf i386 loong64 powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
RUSTICL_ARCHS  = amd64 arm64 armel armhf i386 loong64 powerpc ppc64 ppc64el riscv64 s390x x32
VALGRIND_ARCHS = amd64 arm64 i386 mips64el powerpc ppc64 ppc64el s390x
WINE_ARCHS     = amd64 arm64 armel armhf i386

# hurd doesn't do direct rendering
ifeq ($(DEB_HOST_ARCH_OS), hurd)
  confflags_DIRECT_RENDERING = -Dglx-direct=false
  confflags_GBM = -Dgbm=disabled
else
  # Non-Linux ports lack epoll, so wayland isn't ready yet:
  # https://gitlab.freedesktop.org/wayland/wayland/-/issues/72
  # hurd also lacks *_CLOEXEC
  EGL_PLATFORMS += wayland

  GALLIUM_DRIVERS += nouveau r300 r600 virgl
  confflags_DIRECT_RENDERING = -Dglx-direct=true
  confflags_DRI3 = -Ddri3=enabled
  confflags_GBM = -Dgbm=enabled
  confflags_GALLIUM += -Dgallium-extra-hud=true
  confflags_GALLIUM += -Dgallium-vdpau=enabled
  confflags_GALLIUM += -Dlmsensors=enabled

  # Freedreno requires arm in addition
  ifneq (,$(filter arm arm64,$(DEB_HOST_ARCH_CPU)))
	GALLIUM_DRIVERS += freedreno
  endif

  # etnaviv, tegra, vc4 and v3d kernel support are only available on armhf and arm64
  ifneq (,$(filter $(DEB_HOST_ARCH), armhf arm64))
	GALLIUM_DRIVERS += etnaviv panfrost svga tegra vc4 v3d
	VULKAN_DRIVERS += broadcom freedreno
  endif

  ifneq (,$(filter $(DEB_HOST_ARCH), armhf arm64 loong64 riscv64))
	GALLIUM_DRIVERS += lima
  endif

  # Build intel drivers on archs where libdrm-intel is installed
  ifneq (,$(filter $(DEB_HOST_ARCH), amd64 i386 x32))
	GALLIUM_DRIVERS += crocus i915 iris svga
	VULKAN_DRIVERS += intel intel_hasvk
	# svga needs xa state tracker
	confflags_GALLIUM += -Dgallium-xa=enabled
  endif

  ifneq (,$(filter $(DEB_HOST_ARCH), amd64))
	confflags_GALLIUM += -Dintel-clc=enabled
  endif

  ifneq (,$(filter $(DEB_HOST_ARCH), $(VALGRIND_ARCHS)))
	confflags_VALGRIND += -Dvalgrind=enabled
  endif

  # WSL supports only amd64 and arm64
  ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64))
	GALLIUM_DRIVERS += d3d12
  endif

  # LLVM is required for building r300g, radeonsi and llvmpipe drivers.
  # It's also required for building OpenCL support.
  ifneq (,$(filter $(DEB_HOST_ARCH), $(LLVM_ARCHS)))
	GALLIUM_DRIVERS += radeonsi zink

	# Only enable amd on riscv64, swrast needs CPU JIT support which doesn't work properly yet
	ifneq (,$(filter $(DEB_HOST_ARCH), riscv64))
		VULKAN_DRIVERS += amd
		confflags_GALLIUM += -Ddraw-use-llvm=false
	else
	  # drop virtio from armel, it doesn't build
	  ifneq (,$(filter $(DEB_HOST_ARCH), armel))
		VULKAN_DRIVERS += amd swrast
	  else
		VULKAN_DRIVERS += amd swrast virtio
	  endif
	endif

	VULKAN_LAYERS += device-select intel-nullhw overlay
	confflags_GALLIUM += -Dllvm=enabled
	confflags_GALLIUM += -Dgallium-opencl=icd

	# Build rusticl for archs where rustc is available
	ifneq (,$(filter $(DEB_HOST_ARCH), $(RUSTICL_ARCHS)))
		confflags_GALLIUM += -Dgallium-rusticl=true
	endif

	# nine makes sense only on archs that build wine
	ifneq (,$(filter $(DEB_HOST_ARCH), $(WINE_ARCHS)))
		confflags_GALLIUM += -Dgallium-nine=true
	endif
  else
	confflags_GALLIUM += -Dllvm=disabled
  endif

  ifeq (,$(filter pkg.mesa.nolibva,$(DEB_BUILD_PROFILES)))
	confflags_GALLIUM += -Dgallium-va=enabled
	confflags_GALLIUM += -Dvideo-codecs="all"
  endif
endif

ifeq ($(DEB_HOST_ARCH), i386)
	confflags_SSE2 = -Dsse2=false
endif

empty:=
space := $(empty) $(empty)
comma := ,
EGL_PLATFORMS := $(patsubst %,'%',$(EGL_PLATFORMS))
EGL_PLATFORMS_LIST := $(subst $(space),$(comma),$(EGL_PLATFORMS))
GALLIUM_DRIVERS := $(patsubst %,'%',$(GALLIUM_DRIVERS))
GALLIUM_DRIVERS_LIST := $(subst $(space),$(comma),$(GALLIUM_DRIVERS))
VULKAN_DRIVERS := $(patsubst %,'%',$(VULKAN_DRIVERS))
VULKAN_DRIVERS_LIST := $(subst $(space),$(comma),$(VULKAN_DRIVERS))
VULKAN_LAYERS := $(patsubst %,'%',$(VULKAN_LAYERS))
VULKAN_LAYERS_LIST := $(subst $(space),$(comma),$(VULKAN_LAYERS))

confflags_GLES = -Dgles1=disabled -Dgles2=enabled
confflags_GALLIUM += -Dgallium-drivers="[$(GALLIUM_DRIVERS_LIST)]"

confflags += \
	-Ddri-drivers-path=/usr/lib/$(DEB_HOST_MULTIARCH)/dri \
	-Ddri-search-path='/usr/lib/$(DEB_HOST_MULTIARCH)/dri:\$$$${ORIGIN}/dri:/usr/lib/dri' \
	-Dplatforms="[$(EGL_PLATFORMS_LIST)]" \
	-Dvulkan-drivers="[$(VULKAN_DRIVERS_LIST)]" \
	-Dvulkan-layers="[$(VULKAN_LAYERS_LIST)]" \
	-Dglvnd=true \
	-Dshared-glapi=enabled \
	-Dgallium-omx=disabled \
	-Db_ndebug=true \
	-Dbuild-tests=true \
	-Dtools=drm-shim \
	$(confflags_DIRECT_RENDERING) \
	$(confflags_GBM) \
	$(confflags_DRI3) \
	$(confflags_GALLIUM) \
	$(confflags_GLES) \
	$(confflags_OSMESA) \
	$(confflags_SSE2) \
	$(confflags_VALGRIND)

override_dh_clean: regen_control
	dpkg-parsechangelog | awk '/^Version:/ {print $$2}' | sed 's/-.*//;s/~/-/' > VERSION
	rm -rf .pc
	rm -rf build
	rm -rf configure bin/config.guess bin/config.sub config.h.in
	rm -rf $$(find -name Makefile.in)
	rm -rf bin/install-sh bin/ltmain.sh
	for file in debian/*.links.in; do rm -f $${file%%.in}; done
	find -name '*.pyc' -delete
	find -name '__pycache__' -delete
	dh_clean

override_dh_auto_configure:
	dpkg-parsechangelog | awk '/^Version:/ {print $$2}' > VERSION
	$(buildflags) dh_auto_configure -- \
		$(confflags)

override_dh_auto_install:
	dh_auto_install
	for file in debian/*.links.in; \
	do \
		sed -e"s,\$${DEB_HOST_MULTIARCH},$(DEB_HOST_MULTIARCH),g" \
			$${file} > $${file%%.in}; \
	done

# some tests are expected to fail for now, drop this when upstream has
# better cross-build testing in place and expected failures fixed
override_dh_auto_test:
	-dh_auto_test

allpkg = $(shell dh_listpackages -a)

override_dh_installchangelogs:
	dh_installchangelogs -a
	dh_installchangelogs -pmesa-common-dev

override_dh_install:
	# purge .la files
	find debian/tmp/ -name '*.la' -exec rm '{}' ';'

	# Get rid of some files which aren't installed. Do not
	# use -f to ensure we notice disappearing files:
	rm debian/tmp/usr/lib/*/libglapi.so
	rm debian/tmp/usr/lib/*/libEGL_mesa.so
	rm debian/tmp/usr/lib/*/libGLX_mesa.so
	# use -f here though
	rm -f debian/tmp/usr/lib/*/libgrl.a

	# Copy the hardlinked *_dri.so correctly.
	install -m755 -d debian/libgl1-mesa-dri/usr/lib/${DEB_HOST_MULTIARCH}/dri/
	mv debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/dri/*_dri.so \
	   debian/libgl1-mesa-dri/usr/lib/${DEB_HOST_MULTIARCH}/dri/

  ifneq ($(DEB_HOST_ARCH_OS), hurd)
	# Copy the hardlinked vdpau drivers correctly.

## mesa 24.0.9

=== debian/changelog ===
mesa (24.0.9-0ubuntu0.3) noble; urgency=medium

  [ Alessandro Astone ]
  * patches: Backport patch for green artifacting and GPU crash on
    radeonsi with kernel >= 6.10 (LP: #2083538)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 20 Nov 2024 12:05:41 +0200

mesa (24.0.9-0ubuntu0.2) noble; urgency=medium

  * Add support for Pi 2712D0 stepping (LP: #2082072)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 26 Sep 2024 16:32:32 +0300

mesa (24.0.9-0ubuntu0.1) noble; urgency=medium

  * Backport to noble. (LP: #2068918)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 10 Jun 2024 19:07:15 +0300

mesa (24.0.9-0ubuntu1) oracular; urgency=medium

  * New upstream release. (LP: #2068918)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 10 Jun 2024 18:50:20 +0300

mesa (24.0.8-1ubuntu1) oracular; urgency=medium

  * Merge from Debian.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 23 May 2024 14:47:32 +0300

mesa (24.0.8-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 23 May 2024 12:57:58 +0300

mesa (24.0.7-1ubuntu1) oracular; urgency=medium

  * Merge from Debian.
  * patches: Add ARL support. (LP: #2061955)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 10 May 2024 10:38:59 +0300

mesa (24.0.5-1ubuntu1) noble; urgency=medium

  * Merge from Debian. (LP: #2060009, #2060679)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 12 Apr 2024 10:12:19 +0300

mesa (24.0.3-1ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:05:45 +0000

mesa (24.0.3-1ubuntu3) noble; urgency=medium

  * Unwind remaining bootstrap changes.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 22 Mar 2024 18:31:49 +0000

mesa (24.0.3-1ubuntu2) noble; urgency=medium

  * Drop the time64 patch, applied with a different name.
  * Package can be synced.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 22 Mar 2024 03:15:47 +0100

mesa (24.0.3-1ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Fix time64 build.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 22 Mar 2024 03:02:09 +0100

mesa (24.0.2-1ubuntu8) noble; urgency=medium

  * Build again with libva-dev.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Mar 2024 14:21:44 +0100

mesa (24.0.2-1ubuntu7) noble; urgency=medium

  * Build without WINE on armhf.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Mar 2024 10:17:29 +0100

mesa (24.0.2-1ubuntu6) noble; urgency=medium

  * Fix time64 build.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Mar 2024 08:46:25 +0100

mesa (24.0.2-1ubuntu4) noble; urgency=medium

  * Build without LLVM and rust on armhf.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Mar 2024 08:24:30 +0100

mesa (24.0.2-1ubuntu2) noble; urgency=medium

  * Bootstrap build without libva-dev

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 02 Mar 2024 20:42:07 +0000

mesa (24.0.2-1ubuntu1) noble; urgency=medium

  * Merge from Debian.
  * radeon-fix-gnome-shell-crash.diff: Fix a regression crashing
    gnome-shell. (LP: #2054851)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 29 Feb 2024 09:40:21 +0200

mesa (24.0.1-1ubuntu1) noble; urgency=medium

  * Merge from Debian.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 16 Feb 2024 09:02:05 +0200

mesa (23.3.3-1ubuntu2) noble; urgency=medium

  * control, rules: Drop i386 from RUSTICL_ARCHS, again.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 12 Jan 2024 14:53:32 +0200

mesa (23.3.3-1ubuntu1) noble; urgency=medium

  * Merge from Debian, remaining changes:
    - control: R/B/R: libgl1-amber-dri

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 11 Jan 2024 20:57:33 +0200

mesa (23.3.0-2ubuntu3) noble; urgency=medium

  * patches: Revert another commit adding zink autoload on glx.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 12 Dec 2023 23:36:25 +0200

mesa (23.3.0-2ubuntu2) noble; urgency=medium

  * patches: Revert a commit adding zink autoloading.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 11 Dec 2023 12:46:38 +0200

mesa (23.3.0-2ubuntu1) noble; urgency=medium

  * Merge from Debian.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 08 Dec 2023 18:17:27 +0200

mesa (23.3.0-1ubuntu1) noble; urgency=medium

  * Merge from Debian.
  * patches: Drop upstreamed patches.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 01 Dec 2023 12:11:39 +0200

mesa (23.2.1-1ubuntu4) noble; urgency=medium

  * patches: Avoid crashing virglrenderer when the host doesn't support
    PIPE_CAP_CLEAR_TEXTURE (LP#2038834)

 -- Mate Kukri <mate.kukri@canonical.com>  Tue, 07 Nov 2023 15:41:32 +0200

mesa (23.2.1-1ubuntu3) mantic; urgency=medium

  * patches: Fix a function name collision causing crashes. (LP:
    #2037497)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 06 Oct 2023 11:58:09 +0300

mesa (23.2.1-1ubuntu2) mantic; urgency=medium

  * d/p/v3d-v3dv-support-for-HW-7.1.x.patch
    - [FFe] Raspberry Pi 5 (LP: #2037642)

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Fri, 29 Sep 2023 08:27:32 +0200

mesa (23.2.1-1ubuntu1) mantic; urgency=medium

  * Merge from Debian.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 29 Sep 2023 08:46:32 +0300

mesa (23.2.0~rc4-1ubuntu1) mantic; urgency=medium

  * Merge from Debian. (LP: #2036611)
  * control, rules: Stay on llvm 15 until bindgen update has landed.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 25 Sep 2023 18:50:55 +0300

mesa (23.1.7-1ubuntu1) mantic; urgency=medium

  * Merge from Debian.
  * revert-13422.diff: Drop reverts, fix upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 08 Sep 2023 13:41:34 +0300

mesa (23.1.3-1ubuntu1) mantic; urgency=medium

  * Merge from Debian.
  * revert-13422.diff: Revert a bunch of commits to fix gtk4
    autopkgtests. (LP: #2025982)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 05 Jul 2023 18:13:17 +0300

mesa (23.1.2-1ubuntu1) mantic; urgency=medium

  * Merge from Debian.
  * patches: Drop upstreamed patches.



=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mesa
 Section: graphics
 Priority: optional
-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Andreas Boll <aboll@debian.org>
 Standards-Version: 4.1.4
 Build-Depends:
@@ -51,13 +52,12 @@
  wayland-protocols (>= 1.24),
  zlib1g-dev,
  libglvnd-core-dev (>= 1.3.2),
- rustc [amd64 arm64 armel armhf i386 loong64 powerpc ppc64 ppc64el riscv64 s390x x32],
- bindgen (>= 0.66.1~) [amd64 arm64 armel armhf i386 loong64 powerpc ppc64 ppc64el riscv64 s390x x32],
- llvm-spirv-17 [amd64 arm64 armel armhf i386 loong64 powerpc ppc64 ppc64el riscv64 s390x x32],
- libclc-17 [amd64 arm64 armel armhf i386 loong64 powerpc ppc64 ppc64el riscv64 s390x x32],
+ valgrind [amd64 arm64 armhf i386 mips64el powerpc ppc64 ppc64el s390x],
+ rustc [amd64 arm64 armel armhf loong64 powerpc ppc64 ppc64el riscv64 s390x x32],
+ bindgen (>= 0.66.1~) [amd64 arm64 armel armhf loong64 powerpc ppc64 ppc64el riscv64 s390x x32],
+ llvm-spirv-17 [amd64 arm64 armel armhf loong64 powerpc ppc64 ppc64el riscv64 s390x x32],
+ libclc-17 [amd64 arm64 armel armhf loong64 powerpc ppc64 ppc64el riscv64 s390x x32],
  libllvmspirvlib-17-dev [amd64 arm64 armel armhf i386 loong64 powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
-Build-Conflicts:
- valgrind [amd64 arm64 i386 mips64el powerpc ppc64 ppc64el s390x],
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/xorg-team/lib/mesa.git
 Vcs-Browser: https://salsa.debian.org/xorg-team/lib/mesa
@@ -247,6 +247,12 @@
  libvulkan1 [amd64 arm64 armel armhf i386 loong64 powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
  ${shlibs:Depends},
  ${misc:Depends}
+Recommends:
+ libgl1-amber-dri
+Breaks:
+ libgl1-amber-dri (<< 21.3.9)
+Replaces:
+ libgl1-amber-dri (<< 21.3.9)
 Multi-Arch: same
 Description: free implementation of the OpenGL API -- DRI modules
  This version of Mesa provides GLX and DRI capabilities: it is capable of
@@ -357,8 +363,3 @@
 Pre-Depends: ${misc:Pre-Depends}
 Description: Mesa VDPAU video acceleration drivers
  These libraries provide the Video Decode and Presentation API for Unix.
- They provide accelerated video playback (incl. H.264) and video
- post-processing for the supported graphics cards.
- .
- This package enables support for VDPAU for some gallium drivers.
-
